apply plugin: 'com.android.library'
//apply plugin: 'android-aspectjx'

android {
    compileSdkVersion rootProject.ext.android["compileSdkVersion"]
    buildToolsVersion rootProject.ext.android["buildToolsVersion"]
    defaultConfig {
        minSdkVersion rootProject.ext.android["minSdkVersion"]
        targetSdkVersion rootProject.ext.android["targetSdkVersion"]
        versionCode rootProject.ext.android["versionCode"]
        versionName rootProject.ext.android["versionName"]

        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
        consumerProguardFiles 'consumer-rules.pro'

        // ARouter路由
        javaCompileOptions {
            annotationProcessorOptions {
                arguments = [AROUTER_MODULE_NAME: project.getName()]
            }
        }
    }

    buildTypes {
        debug {
            //自定义Gradle常量
            buildConfigField("boolean", "LOG_DEBUG", "true")
            buildConfigField("String", "LOG_TAG", "\"HHOMC\"")
            buildConfigField("String", "SP_NAME", "\"Sp_Config\"")
        }
        yufabu {
            //自定义Gradle常量
            buildConfigField("boolean", "LOG_DEBUG", "true")
            buildConfigField("String", "LOG_TAG", "\"HHOMC\"")
            buildConfigField("String", "SP_NAME", "\"Sp_Config\"")
        }
        release {
            buildConfigField("boolean", "LOG_DEBUG", "true")
            buildConfigField("String", "LOG_TAG", "\"HHOMC\"")
            buildConfigField("String", "SP_NAME", "\"Sp_Config\"")
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }

    // 支持 JDK 1.8
    compileOptions {
        targetCompatibility JavaVersion.VERSION_1_8
        sourceCompatibility JavaVersion.VERSION_1_8
    }

}

dependencies {
    implementation fileTree(dir: 'libs', include: ['*.jar'])

    testImplementation 'junit:junit:4.12'
    androidTestImplementation 'androidx.test.ext:junit:1.1.0'
    androidTestImplementation 'androidx.test.espresso:espresso-core:3.1.1'

    annotationProcessor rootProject.ext.dependencies["arouter-compiler"]
    api rootProject.ext.dependencies["arouter-api"]

    api rootProject.ext.dependencies["appcompat"]
    api rootProject.ext.dependencies["rxjava2"]
    api rootProject.ext.dependencies["rxandroid2"]
    api rootProject.ext.dependencies["retrofit-adapter-rxjava"]
    api rootProject.ext.dependencies["okio"]
    api rootProject.ext.dependencies["gson"]
    api rootProject.ext.dependencies["okhttp3"]
    api rootProject.ext.dependencies["okhttp3-log"]
    api rootProject.ext.dependencies["retrofit"]
    api rootProject.ext.dependencies["retrofit-rxjava"]
    api rootProject.ext.dependencies["retrofit-gson"]
    api rootProject.ext.dependencies["circleimageview"]
    api rootProject.ext.dependencies["glide"]
    api rootProject.ext.dependencies["recyclerview"]
    api rootProject.ext.dependencies["eventbus"]
    api rootProject.ext.dependencies["immersionbar"]
    api rootProject.ext.dependencies["aspectj"]
    api rootProject.ext.dependencies["brvah"]
    api rootProject.ext.dependencies["PageStateManager"]
    api rootProject.ext.dependencies["permissions"]
    api rootProject.ext.dependencies["autosize"]

    api rootProject.ext.dependencies["lifecycle-extensions"]
    api rootProject.ext.dependencies["lifecycle-runtime"]

    api rootProject.ext.dependencies["StatusLayoutManager"]

    api rootProject.ext.dependencies["SwipeDelMenuLayout"]
    api rootProject.ext.dependencies["flexbox"]
    api rootProject.ext.dependencies["flowlayout"]
    api rootProject.ext.dependencies["oss-android-sdk"]
    api rootProject.ext.dependencies["PictureSelector"]
    api rootProject.ext.dependencies["PickerView"]

    api rootProject.ext.dependencies["tencent_im"]

    api rootProject.ext.dependencies["ShadowLayout"]
    api rootProject.ext.dependencies["SwitchButton"]
    api rootProject.ext.dependencies["event-bus"]
    api rootProject.ext.dependencies["blankj-utilcodex"]

    implementation 'org.ahocorasick:ahocorasick:0.3.0'

}
repositories {
    mavenCentral()
}
